//
//  IFXPDFBaseFont.h
//  IFXPDFFactory
//
//  Created by Sorin Nistor on 5/2/12.
//  Copyright (c) 2012 iPDFdev.com. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "IFXPDFGraphicsEnums.h"

@class IFXPDFStandaloneDictionary;

@interface IFXPDFBaseFont : NSObject {
    IFXPDFStandaloneDictionary* _cosFontDictionary;
}

@property (nonatomic, assign) double size;
@property (nonatomic, assign, getter = isUnderline) BOOL underline;
@property (nonatomic, assign, getter = isStrikethrough) BOOL strikethrough;
@property (nonatomic, strong) NSString* fontName;

- (double) charWidth: (unichar) c;
- (double) measureString: (NSString*) text;

@end
