//
//  IFXPDFCalGrayColor.h
//  IFXPDFFactory
//
//  Created by Sorin Nistor on 9/4/12.
//  Copyright (c) 2012 iPDFdev.com. All rights reserved.
//

#import "IFXPDFColor.h"

@class IFXPDFCalGrayColorSpace;

@interface IFXPDFCalGrayColor : IFXPDFColor

@property (nonatomic) double gray;

- (id) init;
- (id) initWithCalGrayColorSpace: (IFXPDFCalGrayColorSpace*) calGrayColorSpace;
- (BOOL) isEqual: (id) object;

+ (IFXPDFCalGrayColor*) calGrayColorWithColorSpace: (IFXPDFCalGrayColorSpace*) colorSpace andGray: (double) gray;

@end
