//
//  IFXPDFCalRGBColor.h
//  IFXPDFFactory
//
//  Created by Sorin Nistor on 9/10/12.
//  Copyright (c) 2012 iPDFdev.com. All rights reserved.
//

#import "IFXPDFColor.h"

@class IFXPDFCalRGBColorSpace;

@interface IFXPDFCalRGBColor : IFXPDFColor

@property (nonatomic) double red;
@property (nonatomic) double green;
@property (nonatomic) double blue;

- (id) init;
- (id) initWithCalRGBColorSpace: (IFXPDFCalRGBColorSpace*) rgbColorSpace;
- (BOOL) isEqual: (id) object;

+ (IFXPDFCalRGBColor*) calRGBColorWithColorSpace: (IFXPDFCalRGBColorSpace*) colorSpace
                                          andRed: (double) red green: (double) green blue: (double) blue;

@end
