//
//  IFXPDFCalRGBColorSpace.h
//  IFXPDFFactory
//
//  Created by Sorin Nistor on 9/10/12.
//  Copyright (c) 2012 iPDFdev.com. All rights reserved.
//

#import "IFXPDFColorSpace.h"

@class IFXPDFNumberArray;

@interface IFXPDFCalRGBColorSpace : IFXPDFColorSpace

@property (nonatomic, strong) IFXPDFNumberArray* whitePoint;
@property (nonatomic, strong) IFXPDFNumberArray* blackPoint;
@property (nonatomic, strong) IFXPDFNumberArray* gamma;
@property (nonatomic, strong) IFXPDFNumberArray* matrix;

- (id) init;
- (void) dealloc;

+ (IFXPDFCalRGBColorSpace*) calRgbColorSpace;

@end
