//
//  IFXPDFDisplayRectangle.h
//  IFXPDFFactory
//
//  Created by Sorin Nistor on 6/27/13.
//  Copyright (c) 2013 iPDFdev.com. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface IFXPDFDisplayRectangle : NSObject

@property (nonatomic, assign) double left;
@property (nonatomic, assign) double top;
@property (nonatomic) double width;
@property (nonatomic) double height;

- (id) init;
- (id) initWithLeft: (double) left top: (double) top width: (double) width height: (double) height;
+ (IFXPDFDisplayRectangle*) displayRectangleWithLeft: (double) left top: (double) top
                                              width: (double) width height: (double) height;

@end
