//
//  IFXPDFFontFace.h
//  IFXPDFFactory
//
//  Created by Sorin Nistor on 5/23/13.
//  Copyright (c) 2013 iPDFdev.com. All rights reserved.
//

/// <summary>
/// Supported standard PDF fonts.
/// </summary>
typedef enum {
    /// <summary>
    /// Helvetica.
    /// </summary>
    IFXPDFHelveticaFontFace = 0,
    /// <summary>
    /// Helvetica Bold.
    /// </summary>
    IFXPDFHelveticaBoldFontFace = 1,
    /// <summary>
    /// Helvetica Italic.
    /// </summary>
    IFXPDFHelveticaItalicFontFace = 2,
    /// <summary>
    /// Helvetica Bold Italic.
    /// </summary>
    IFXPDFHelveticaBoldItalicFontFace = 3,
    /// <summary>
    /// Times Roman.
    /// </summary>
    IFXPDFTimesRomanFontFace = 4,
    /// <summary>
    /// Times Roman Bold.
    /// </summary>
    IFXPDFTimesRomanBoldFontFace = 5,
    /// <summary>
    /// Times Roman Italic.
    /// </summary>
    IFXPDFTimesRomanItalicFontFace = 6,
    /// <summary>
    /// Times Roman Bold Italic.
    /// </summary>
    IFXPDFTimesRomanBoldItalicFontFace = 7,
    /// <summary>
    /// Courier.
    /// </summary>
    IFXPDFCourierFontFace = 8,
    /// <summary>
    /// Courier Bold.
    /// </summary>
    IFXPDFCourierBoldFontFace = 9,
    /// <summary>
    /// Courier Italic.
    /// </summary>
    IFXPDFCourierItalicFontFace = 10,
    /// <summary>
    /// Courier Bold Italic.
    /// </summary>
    IFXPDFCourierBoldItalicFontFace = 11,
    /// <summary>
    /// Symbol.
    /// </summary>
    IFXPDFSymbolFontFace = 12,
    /// <summary>
    /// ZapfDingbats.
    /// </summary>
    IFXPDFZapfDingbatsFontFace = 13,
} IFXPDFFontFace;
