#import <Foundation/Foundation.h>

@class IFXPDFArray;
@class IFXPDFFunction;

@interface IFXPDFFunctionCollection : NSObject {
    IFXPDFArray* _cosItems;
}

- (id) init;
- (void) dealloc;
- (NSUInteger) count;
- (void) addFunction:(IFXPDFFunction*) item;
- (void) insertFunction:(IFXPDFFunction*) item atIndex:(NSUInteger) index;
- (void) replaceFunctionAtIndex:(NSUInteger) index withFunction:(IFXPDFFunction*) item;
- (IFXPDFFunction*) functionAtIndex:(NSUInteger) index;
- (NSUInteger) indexOfFunction:(IFXPDFFunction*) item;
- (void) removeFunctionAtIndex:(NSUInteger) index;
- (void) removeFunction:(IFXPDFFunction*) item;
- (void) removeAllFunctions;

@end