//
//  Header.h
//  IFXPDFFactory
//
//  Created by Sorin Nistor on 5/10/12.
//  Copyright (c) 2012 iPDFdev.com. All rights reserved.
//

#ifndef IFXPDFGRAPHICSENUMS
#define IFXPDFGRAPHICSENUMS

typedef enum {
    IFXPDFNoContentFlip = 0,
    IFXPDFVerticalContentFlip = 1,
    IFXPDFHorizontalContentFlip = 2
} IFXPDFContentFlip;

typedef enum {
    IFXPDFFlatLineCap = 0,
    IFXPDFRoundLineCap = 1,
    IFXPDFSquareLineCap = 2
} IFXPDFLineCap;

typedef enum {
    IFXPDFMiterLineJoin = 0,
    IFXPDFRoundLineJoin = 1,
    IFXPDFBevelLineJoin = 2
} IFXPDFLineJoin;

typedef enum {
    IFXPDFTextLeftHorizontalAlign = 0,
    IFXPDFTextCenterHorizontalAlign = 1,
    IFXPDFTextRightHorizontalAlign = 2,
    IFXPDFTextJustifiedHorizontalAlign = 3
} IFXPDFTextHorizontalAlign;

typedef enum {
    IFXPDFTextTopVerticalAlign = 0,
    IFXPDFTextMiddleVerticalAlign = 1,
    IFXPDFTextBottomVerticalAlign = 2,
} IFXPDFTextVerticalAlign;

typedef enum {
    kIFXPDFFillModeNonZeroWinding = 2,
    kIFXPDFFillModeOddEven = 1
} IFXPDFFillMode;

#endif
