//
//  IFXPDFGrayColor.h
//  IFXPDFFactory
//
//  Created by Sorin Nistor on 4/29/12.
//  Copyright (c) 2012 iPDFdev.com. All rights reserved.
//

#import "IFXPDFColor.h"

@interface IFXPDFGrayColor : IFXPDFColor

@property (nonatomic) double gray;

- (id) init;
- (id) initWithGray: (double) gray;
- (void) dealloc;
- (BOOL) isEqual: (id) object;

+ (IFXPDFGrayColor*) grayColorWithGray: (double) gray;

@end
