//
//  IFXPDFIccColor.h
//  IFXPDFFactory
//
//  Created by Sorin Nistor on 9/11/12.
//  Copyright (c) 2012 iPDFdev.com. All rights reserved.
//

#import "IFXPDFColor.h"

@class IFXPDFIccColorSpace;

@interface IFXPDFIccColor : IFXPDFColor

@property (nonatomic, readonly) double* colors;

- (id) init;
- (id) initWithIccColorSpace: (IFXPDFIccColorSpace*) iccColorSpace;

- (BOOL) isEqual:(id)object;

+ (IFXPDFIccColor*) iccColorWithColorSpace: (IFXPDFIccColorSpace*) colorSpace;

@end
