//
//  IFXPDFImage.h
//  IFXPDFFactory
//
//  Created by Sorin Nistor on 5/14/12.
//  Copyright (c) 2012 iPDFdev.com. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <CoreGraphics/CoreGraphics.h>

@class IFXPDFStreamDictionary;

@interface IFXPDFImage : NSObject {
    IFXPDFStreamDictionary* _cosImage;
}

@property (nonatomic, readonly) NSUInteger width;
@property (nonatomic, readonly) NSUInteger height;

- (id) initWithCGImage: (CGImageRef) cgImage;
- (void) dealloc;

+ (IFXPDFImage*) pdfImageWithCGImage: (CGImageRef) cgImage;

@end
