//
//  IFXPDFIndexedColor.h
//  IFXPDFFactory
//
//  Created by Sorin Nistor on 9/13/12.
//  Copyright (c) 2012 iPDFdev.com. All rights reserved.
//

#import "IFXPDFColor.h"

@class IFXPDFIndexedColorSpace;

@interface IFXPDFIndexedColor : IFXPDFColor

@property (nonatomic) unsigned int colorIndex;

- (id) init;
- (id) initWithIndexedColorSpace: (IFXPDFIndexedColorSpace*) indexedColorSpace;
- (BOOL) isEqual: (id) object;

+ (IFXPDFIndexedColor*) indexedColorWithColorSpace: (IFXPDFIndexedColorSpace*) colorSpace
                                     andColorIndex: (unsigned int) colorIndex;

@end
