//
//  IFXPDFIndexedColorSpace.h
//  IFXPDFFactory
//
//  Created by Sorin Nistor on 9/13/12.
//  Copyright (c) 2012 iPDFdev.com. All rights reserved.
//

#import "IFXPDFColorSpace.h"

@interface IFXPDFIndexedColorSpace : IFXPDFColorSpace {
    IFXPDFColorSpace* baseColorSpace;
}

@property (nonatomic, strong) IFXPDFColorSpace* baseColorSpace;
@property (nonatomic) unsigned int maxIndex;
@property (nonatomic, strong) NSData* colorTable;

- (id) init;
- (void) dealloc;

+ (IFXPDFIndexedColorSpace*) indexedColorSpace;

@end
