//
//  IFXPDFLabColorSpace.h
//  IFXPDFFactory
//
//  Created by Sorin Nistor on 9/18/12.
//  Copyright (c) 2012 iPDFdev.com. All rights reserved.
//

#import "IFXPDFColorSpace.h"

@class IFXPDFNumberArray;

@interface IFXPDFLabColorSpace : IFXPDFColorSpace

@property (nonatomic, strong) IFXPDFNumberArray* whitePoint;
@property (nonatomic, strong) IFXPDFNumberArray* blackPoint;
@property (nonatomic, strong) IFXPDFNumberArray* range;

- (id) init;
- (void) dealloc;

+ (IFXPDFLabColorSpace*) labColorSpace;

@end
