#import <Foundation/Foundation.h>

@class IFXPDFArray;

@interface IFXPDFNumberArray : NSObject {
    IFXPDFArray* _cosItems;
}

- (id) init;
- (id) initWithNumbers:(double*)numbers length:(NSUInteger)length;
+ (IFXPDFNumberArray*) arrayWithNumbers:(double*)numbers length:(NSUInteger)length;
+ (IFXPDFNumberArray*) arrayWithIntegers:(int*)numbers length:(NSUInteger)length;
- (void) dealloc;

- (NSUInteger) count;
- (void) addNumber:(double) number;
- (void) insertNumber:(double) number atIndex:(NSUInteger) index;
- (void) replaceNumberAtIndex:(NSUInteger) index withNumber:(double) number;
- (double) numberAtIndex:(NSUInteger) index;
- (void) removeNumberAtIndex:(NSUInteger) index;
- (void) removeAllNumbers;

@end