#import <Foundation/Foundation.h>
#import "IFXPDFOptionalContentGroupDefaultState.h"
#import "IFXPDFOptionalContentGroupVisibleState.h"
#import "IFXPDFOptionalContentGroupPrintState.h"
#import "IFXPDFOptionalContentGroupExportState.h"

@class IFXPDFDictionary;

@interface IFXPDFOptionalContentGroup : NSObject {
    IFXPDFDictionary* _cosOcg;
    NSString* _id;
    IFXPDFOptionalContentGroupDefaultState _defaultState;
}

@property (nonatomic, copy) NSString* name;
@property (nonatomic) IFXPDFOptionalContentGroupDefaultState defaultState;
@property (nonatomic, getter = isLocked) BOOL locked;
@property (nonatomic) IFXPDFOptionalContentGroupVisibleState visibleState;
@property (nonatomic) IFXPDFOptionalContentGroupPrintState printState;
@property (nonatomic) IFXPDFOptionalContentGroupExportState exportState;

- (id) init;
- (id) initWithName:(NSString*)name;
+ (IFXPDFOptionalContentGroup*) optionalContentGroupWithName:(NSString*) name;
- (void) dealloc;

@end