#import <Foundation/Foundation.h>

@class IFXPDFArray;
@class IFXPDFOptionalContentGroup;

@interface IFXPDFOptionalContentGroupCollection : NSObject  {
    IFXPDFArray* _cosItems;
}

@property (nonatomic, readonly) NSUInteger count;

- (id) init;
- (void) dealloc;
- (void) addOptionalContentGroup:(IFXPDFOptionalContentGroup*) item;
- (void) insertOptionalContentGroup:(IFXPDFOptionalContentGroup*) item atIndex:(NSUInteger) index;
- (void) replaceOptionalContentGroupAtIndex:(NSUInteger) index withOptionalContentGroup:(IFXPDFOptionalContentGroup*) item;
- (IFXPDFOptionalContentGroup*) optionalContentGroupAtIndex:(NSUInteger) index;
- (NSUInteger) indexOfOptionalContentGroup:(IFXPDFOptionalContentGroup*) item;
- (void) removeOptionalContentGroupAtIndex:(NSUInteger) index;
- (void) removeOptionalContentGroup:(IFXPDFOptionalContentGroup*) item;
- (void) removeAllOptionalContentGroups;

@end