#import <Foundation/Foundation.h>

@class IFXPDFArray;
@class IFXPDFOptionalContentVisualTreeNode;

@interface IFXPDFOptionalContentVisualTreeNodeCollection : NSObject 

@property (nonatomic, readonly) NSUInteger count;

- (id) init;
- (void) dealloc;
- (void) addOptionalContentVisualTreeNode:(IFXPDFOptionalContentVisualTreeNode*) item;
- (void) insertOptionalContentVisualTreeNode:(IFXPDFOptionalContentVisualTreeNode*) item
                                     atIndex:(NSUInteger) index;
- (void) replaceOptionalContentVisualTreeNodeAtIndex:(NSUInteger) index
                   withOptionalContentVisualTreeNode:(IFXPDFOptionalContentVisualTreeNode*) item;
- (IFXPDFOptionalContentVisualTreeNode*) optionalContentVisualTreeNodeAtIndex:(NSUInteger) index;
- (NSUInteger) indexOfOptionalContentVisualTreeNode:(IFXPDFOptionalContentVisualTreeNode*) item;
- (void) removeOptionalContentVisualTreeNodeAtIndex:(NSUInteger) index;
- (void) removeOptionalContentVisualTreeNode:(IFXPDFOptionalContentVisualTreeNode*) item;
- (void) removeAllOptionalContentVisualTreeNodes;

@end