//
//  IFXPDFPen.h
//  IFXPDFFactory
//
//  Created by Sorin Nistor on 4/29/12.
//  Copyright (c) 2012 iPDFdev.com. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "IFXPDFGraphicsEnums.h"

@class IFXPDFColor;

@interface IFXPDFPen : NSObject 

@property (nonatomic, retain) IFXPDFColor* color;
@property (nonatomic, assign) IFXPDFLineCap lineCap;
@property (nonatomic, assign) IFXPDFLineJoin lineJoin;
@property (nonatomic, assign) double dashOffset;
@property (nonatomic, copy) NSString* dashPattern;
@property (nonatomic) double width;

- (id) init;
- (id) initWithColor: (IFXPDFColor*) c andWidth: (double) w;
- (void) dealloc;

+ (IFXPDFPen*) penWithColor: (IFXPDFColor*) color andWidth: (double) width;

@end
