//
//  IFXPDFStandardRectangle.h
//  IFXPDFFactory
//
//  Created by Sorin Nistor on 4/26/12.
//  Copyright (c) 2012 iPDFdev.com. All rights reserved.
//

#import <Foundation/Foundation.h>

@class IFXPDFArray;

@interface IFXPDFStandardRectangle : NSObject{
    IFXPDFArray* _cosRectangle;
}

@property (nonatomic) double llx;
@property (nonatomic) double lly;
@property (nonatomic) double urx;
@property (nonatomic) double ury;
@property (nonatomic) double width;
@property (nonatomic) double height;

- (id) init;
- (id) initWithLlx: (double) llx lly: (double) lly urx: (double) urx ury: (double) ury;
- (void) dealloc;
- (NSString*) description;
+ (IFXPDFStandardRectangle*) standardRectangleWithLlx: (double) llx lly: (double) lly urx: (double) urx ury: (double) ury;

@end
