#import <Foundation/Foundation.h>

@class IFXPDFArray;
@class IFXPDFAction;

@interface IFXPDFActionCollection : NSObject {
    IFXPDFArray* _cosItems;
}

- (id) init;
- (void) dealloc;
- (NSUInteger) count;
- (void) addAction:(IFXPDFAction*) item;
- (void) insertAction:(IFXPDFAction*) item atIndex:(NSUInteger) index;
- (void) replaceActionAtIndex:(NSUInteger) index withAction:(IFXPDFAction*) item;
- (IFXPDFAction*) actionAtIndex:(NSUInteger) index;
- (NSUInteger) indexOfAction:(IFXPDFAction*) item;
- (void) removeActionAtIndex:(NSUInteger) index;
- (void) removeAction:(IFXPDFAction*) item;
- (void) removeAllActions;

@end