//
//  IFXPDFCmykColor.h
//  IFXPDFFactory
//
//  Created by Sorin Nistor on 9/10/12.
//  Copyright (c) 2012 iPDFdev.com. All rights reserved.
//

#import "IFXPDFColor.h"

@interface IFXPDFCmykColor : IFXPDFColor

@property (nonatomic) double c;
@property (nonatomic) double m;
@property (nonatomic) double y;
@property (nonatomic) double k;

- (id) init;
- (id) initWithC: (double) c m: (double) m y: (double) y k: (double) k;
- (void) dealloc;
- (BOOL) isEqual:(id)object;

+ (IFXPDFCmykColor*) cmykColorWithC: (double) c m: (double) m y: (double) y k: (double) k;

@end
