//
//  IFXPDFColor.h
//  IFXPDFFactory
//
//  Created by Sorin Nistor on 4/29/12.
//  Copyright (c) 2012 iPDFdev.com. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "IFXPDFColorSpace.h"

@interface IFXPDFColor : NSObject<NSCopying> {
    double _colorComponents[8];
    IFXPDFColorSpace* _colorSpace;
}

@property (nonatomic, readonly) IFXPDFColorSpace* colorSpace;

- (id) init;
- (void) dealloc;
- (id) copyWithZone:(NSZone *)zone;

@end
