//
//  IFXPDFFactory.h
//  IFXPDFFactory
//
//  Created by Sorin Nistor on 8/14/13.
//  Copyright (c) 2013 IFXFactory. All rights reserved.
//

#import <Foundation/Foundation.h>

#import "IFXPDFNumberArray.h"
#import "IFXPDFMatrix.h"
#import "IFXPDFStandardRectangle.h"
#import "IFXPDFDocument.h"
#import "IFXPDFPage.h"
#import "IFXPDFPageCollection.h"
#import "IFXPDFBaseFont.h"
#import "IFXPDFFont.h"
#import "IFXPDFTrueTypeFont.h"
#import "IFXPDFPen.h"
#import "IFXPDFBrush.h"
#import "IFXPDFPath.h"
#import "IFXPDFFormXObject.h"
#import "IFXPDFImage.h"
#import "IFXPDFGraphics.h"
#import "IFXPDFPageGraphics.h"
#import "IFXPDFColor.h"
#import "IFXPDFColorSpace.h"
#import "IFXPDFRgbColorSpace.h"
#import "IFXPDFRgbColor.h"
#import "IFXPDFCmykColorSpace.h"
#import "IFXPDFCmykColor.h"
#import "IFXPDFGrayColorSpace.h"
#import "IFXPDFGrayColor.h"
#import "IFXPDFCalGrayColorSpace.h"
#import "IFXPDFCalGrayColor.h"
#import "IFXPDFCalRGBColorSpace.h"
#import "IFXPDFCalRGBColor.h"
#import "IFXPDFLabColorSpace.h"
#import "IFXPDFLabColor.h"
#import "IFXPDFIccColorSpace.h"
#import "IFXPDFIccColor.h"
#import "IFXPDFSeparationColorSpace.h"
#import "IFXPDFSeparationColor.h"
#import "IFXPDFIndexedColorSpace.h"
#import "IFXPDFIndexedColor.h"
#import "IFXPDFFunction.h"
#import "IFXPDFSampledFunction.h"
#import "IFXPDFExponentialFunction.h"
#import "IFXPDFStitchingFunction.h"
#import "IFXPDFPostScriptFunction.h"
#import "IFXPDFOptionalContentGroup.h"
#import "IFXPDFOptionalContentGroupCollection.h"
#import "IFXPDFOptionalContentProperties.h"
#import "IFXPDFOptionalContentVisualTree.h"
#import "IFXPDFOptionalContentVisualTreeNode.h"
#import "IFXPDFOptionalContentVisualTreeNodeCollection.h"
#import "IFXPDFOptionalContentGroupDefaultState.h"
#import "IFXPDFOptionalContentGroupVisibleState.h"
#import "IFXPDFOptionalContentGroupPrintState.h"
#import "IFXPDFOptionalContentGroupExportState.h"
#import "IFXPDFDocumentInformation.h"
#import "IFXPDFViewerPreferences.h"
#import "IFXPDFDisplayMode.h"
#import "IFXPDFPrintScalingMode.h"
#import "IFXPDFDuplexPrintingMode.h"

@interface IFXPDFFactory : NSObject

+ (NSString*) version;

@end
