//
//  IFXPDFFormXObject.h
//  IFXPDFFactory
//
//  Created by Sorin Nistor on 5/9/12.
//  Copyright (c) 2012 iPDFdev.com. All rights reserved.
//

#import "IFXPDFContentStreamContainer.h"

@class IFXPDFGraphics;

@interface IFXPDFFormXObject : IFXPDFContentStreamContainer 

@property (nonatomic, readonly) IFXPDFGraphics* graphics;
@property (nonatomic) double width;
@property (nonatomic) double height;

- (id) init;
- (id) initWithWidth: (double) width andHeight: (double) height;
- (void) dealloc;

+ (IFXPDFFormXObject*) formXObjectWithWidth: (double) witdth andHeight: (double) height;

@end
