//
//  IFXPDFIccColorSpace.h
//  IFXPDFFactory
//
//  Created by Sorin Nistor on 9/11/12.
//  Copyright (c) 2012 iPDFdev.com. All rights reserved.
//

#import "IFXPDFColorSpace.h"

@class IFXPDFNumberArray;

@interface IFXPDFIccColorSpace : IFXPDFColorSpace {
    IFXPDFColorSpace* alternateColorSpace;
}

@property (nonatomic, strong) NSData* profileData;
@property (nonatomic, strong) IFXPDFNumberArray* range;
@property (nonatomic, strong) IFXPDFColorSpace* alternateColorSpace;

- (id) init;
- (void) dealloc;

+ (IFXPDFIccColorSpace*) iccColorSpace;

- (void) setNumberOfColorComponents: (int) nocc;

@end
