//
//  IFXPDFLabColor.h
//  IFXPDFFactory
//
//  Created by Sorin Nistor on 9/18/12.
//  Copyright (c) 2012 iPDFdev.com. All rights reserved.
//

#import "IFXPDFColor.h"

@class IFXPDFLabColorSpace;

@interface IFXPDFLabColor : IFXPDFColor

@property (nonatomic) double l;
@property (nonatomic) double a;
@property (nonatomic) double b;

- (id) init;
- (id) initWithLabColorSpace: (IFXPDFLabColorSpace*) labColorSpace;
- (BOOL) isEqual: (id) object;

+ (IFXPDFLabColor*) labColorWithColorSpace: (IFXPDFLabColorSpace*) colorSpace
                                      andL: (double) l a: (double) a b: (double) b;

@end
