#import <Foundation/Foundation.h>

@class IFXPDFArray;
@class IFXPDFNamedDestination;

@interface IFXPDFNamedDestinationCollection : NSObject {
    NSMutableArray* _namedDestinations;
    IFXPDFArray* _cosDestinations;
}

- (id) init;
- (void) dealloc;

- (NSUInteger) count;
- (void) addNamedDestination: (IFXPDFNamedDestination*) function;
- (void) insertNamedDestination: (IFXPDFNamedDestination*) namedDestination atIndex: (unsigned long) index;
- (void) replaceNamedDestinationAtIndex:(NSUInteger) index withNamedDestination:(IFXPDFNamedDestination*) namedDestination;
- (IFXPDFNamedDestination*) namedDestinationAtIndex: (NSUInteger) index;
- (NSUInteger) indexOfNamedDestination: (IFXPDFNamedDestination*) namedDestination;
- (void) removeNamedDestinationAtIndex: (NSUInteger) index;
- (void) removeNamedDestination: (IFXPDFNamedDestination*) namedDestination;
- (void) removeAllNamedDestinations;

@end