#import <Foundation/Foundation.h>

@class IFXPDFDictionary;
@class IFXPDFOptionalContentGroupCollection;
@class IFXPDFOptionalContentVisualTree;

@interface IFXPDFOptionalContentProperties : NSObject {
    IFXPDFDictionary* _cosOCProperties;
    IFXPDFOptionalContentGroupCollection* _ocgs;
    IFXPDFOptionalContentGroupCollection* _onOcgs;
    IFXPDFOptionalContentGroupCollection* _offOcgs;
    IFXPDFOptionalContentGroupCollection* _lockedOcgs;
    IFXPDFOptionalContentVisualTree* _visualTree;
}

@property (nonatomic, readonly) IFXPDFOptionalContentVisualTree* visualTree;

- (id) init;
+ (IFXPDFOptionalContentProperties*) optionalContentProperties;
- (void) dealloc;

@end