#import <Foundation/Foundation.h>

@class IFXPDFOptionalContentGroup;
@class IFXPDFOptionalContentVisualTreeNodeCollection;

@interface IFXPDFOptionalContentVisualTreeNode : NSObject {
    IFXPDFOptionalContentGroup* _group;
    IFXPDFOptionalContentVisualTreeNodeCollection* _nodes;
}

@property (nonatomic, strong) IFXPDFOptionalContentGroup* group;
@property (nonatomic, readonly) IFXPDFOptionalContentVisualTreeNodeCollection* nodes;

- (id) initWithOptionalContentGroup: (IFXPDFOptionalContentGroup*) group;
+ (IFXPDFOptionalContentVisualTreeNode*) optionalContentVisualTreeNodeWithGroup:(IFXPDFOptionalContentGroup*)ocg;
- (void) dealloc;

@end