//
//  IFXPDFPoint.h
//  IFXPDFFactory
//
//  Created by Sorin Nistor on 5/2/12.
//  Copyright (c) 2012 iPDFdev.com. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface IFXPDFPoint : NSObject 

@property (nonatomic, assign) double x;
@property (nonatomic, assign) double y;

- (id) init;
- (id) initWithX: (double) x y: (double) y;
- (NSString*) description;

+ (IFXPDFPoint*) pdfPointWithX: (double) x y: (double) y;

@end
