//
//  IFXPDFSeparationColor.h
//  IFXPDFFactory
//
//  Created by Sorin Nistor on 9/18/12.
//  Copyright (c) 2012 iPDFdev.com. All rights reserved.
//

#import "IFXPDFColor.h"

@class IFXPDFSeparationColorSpace;

@interface IFXPDFSeparationColor : IFXPDFColor

@property (nonatomic) double tint;

- (id) init;
- (id) initWithSeparationColorSpace: (IFXPDFSeparationColorSpace*) separationColorSpace;
- (BOOL) isEqual: (id) object;

+ (IFXPDFSeparationColor*) separationColorWithColorSpace: (IFXPDFSeparationColorSpace*) colorSpace andTint: (double) tint;

@end
