//
//  IFXPDFSeparationColorSpace.h
//  IFXPDFFactory
//
//  Created by Sorin Nistor on 9/18/12.
//  Copyright (c) 2012 iPDFdev.com. All rights reserved.
//

#import "IFXPDFColorSpace.h"

@class IFXPDFFunction;

@interface IFXPDFSeparationColorSpace : IFXPDFColorSpace 

@property (nonatomic, strong) NSString* colorant;
@property (nonatomic, strong) IFXPDFColorSpace* alternateColorSpace;
@property (nonatomic, strong) IFXPDFFunction* tintTransform;

- (id) init;
- (void) dealloc;

+ (IFXPDFSeparationColorSpace*) separationColorSpace;

@end
