//
//  IFXPDFStitchingFunction.h
//  IFXPDFFactory
//
//  Created by Sorin Nistor on 8/27/12.
//  Copyright (c) 2012 iPDFdev.com. All rights reserved.
//

#import "IFXPDFFunction.h"

@class IFXPDFFunctionCollection;

@interface IFXPDFStitchingFunction : IFXPDFFunction {
    IFXPDFFunctionCollection* _functions;
}

@property (nonatomic, readonly) IFXPDFFunctionCollection* functions;

- (id) init;
- (void) dealloc;

- (IFXPDFNumberArray*) bounds;
- (void) setBounds: (IFXPDFNumberArray*) bounds;
- (IFXPDFNumberArray*) encode;
- (void) setEncode: (IFXPDFNumberArray*) encode;

@end
