#import <Foundation/Foundation.h>
#import "IFXPDFAction.h"
#import "IFXPDFFormDataSubmitFormat.h"

@interface IFXPDFSubmitFormAction : IFXPDFAction {
    NSArray* _fields;
}

@property (strong, nonatomic) NSString* url;
@property (nonatomic) IFXPDFFormDataSubmitFormat dataSubmitFormat;
@property (strong, nonatomic) NSArray* fields;
@property (nonatomic) BOOL submitFields;
@property (nonatomic) BOOL includeNoValueFields;
@property (nonatomic) BOOL useHttpGet;
@property (nonatomic) BOOL submitCoordinates;
@property (nonatomic) BOOL includeAppendSaves;
@property (nonatomic) BOOL includeAnnotations;
@property (nonatomic) BOOL useCanonicalDateTimeFormat;
@property (nonatomic) BOOL excludeNonUserAnnotations;
@property (nonatomic) BOOL embedForm;

- (id) init;
- (void) dealloc;

@end