//
//  IFXPDFTextLineCollection.h
//  IFXPDFFactory
//
//  Created by Sorin Nistor on 6/27/13.
//  Copyright (c) 2013 iPDFdev.com. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "IFXPDFTextLine.h"

@interface IFXPDFTextLineCollection : NSObject {
    NSMutableArray* _textLines;
}

- (id) init;
- (void) dealloc;

- (void) addTextLine: (IFXPDFTextLine*) textLine;
- (void) insertTextLine: (IFXPDFTextLine*) textLine atIndex: (unsigned long) index;
- (IFXPDFTextLine*) textLineAtIndex: (NSUInteger) index;
- (NSUInteger) indexOfTextLine: (IFXPDFTextLine*) textLine;
- (void) removeTextLineAtIndex: (NSUInteger) index;
- (void) removeTextLine: (IFXPDFTextLine*) textLine;
- (void) removeAllTextLines;

@end