//
//  IFXPDFFont.h
//  IFXPDFFactory
//
//  Created by Sorin Nistor on 5/23/13.
//  Copyright (c) 2013 iPDFdev.com. All rights reserved.
//

#import "IFXPDFBaseFont.h"

@interface IFXPDFTrueTypeFont : IFXPDFBaseFont {
    void* _ttf;
}

- (id) initWithFontPath:(NSString*)path andSize:(float)size;
- (id) initWithFontData:(NSData*)data andSize:(float)size;
- (id) initWithFontPath:(NSString*)path size:(float)size andUnicode:(BOOL)unicode;
- (id) initWithFontData:(NSData*)data size:(float)size andUnicode:(BOOL)unicode;
- (void) dealloc;

- (double) charWidth: (unichar) c;

@end
