#import <Foundation/Foundation.h>
#import "IFXPDFDisplayMode.h"
#import "IFXPDFDuplexPrintingMode.h"
#import "IFXPDFPrintScalingMode.h"

@class IFXPDFDictionary;
@class IFXPDFNumberArray;

@interface IFXPDFViewerPreferences : NSObject {
    IFXPDFDictionary* _cosViewerPreferences;
}

@property (nonatomic, assign) BOOL hideToolbar;
@property (nonatomic, assign) BOOL hideMenubar;
@property (nonatomic, assign) BOOL hideWindowUI;
@property (nonatomic, assign) BOOL fitWindow;
@property (nonatomic, assign) BOOL centerWindow;
@property (nonatomic, assign) BOOL displayDocumentTitle;
@property (nonatomic, assign) IFXPDFDisplayMode nonFullScreenPageMode;
@property (nonatomic, assign) IFXPDFPrintScalingMode printScaling;
@property (nonatomic, assign) IFXPDFDuplexPrintingMode duplexPrinting;
@property (nonatomic, assign) BOOL pickTrayByPdfSize;
@property (nonatomic, strong) IFXPDFNumberArray* printPageRange;
@property (nonatomic, assign) int numberOfCopies;

- (id) init;
- (void) dealloc;

@end